Subject: RE: [Sipping] Push-To-Talk with SIP - Agreed - {End of Thread }

From: "Arjun Roychowdhury" <[email-masked]>
Date: Thu, 22 May 2003 10:56:33 -0400

--
Arjun Roychowdhury @ Hughes Software Systems
11717 Exploration Lane, Germantown MD 20876
(O): 301 212 7860 

<[email-masked]>
05/22/2003 10:50 AM

        To:     <[email-masked]>
        cc:     <[email-masked]>, <[email-masked]>, <[email-masked]>, 
<[email-masked]>
        Subject:        RE: [Sipping] Push-To-Talk with SIP

Arjun,

Judging from your answer (especially the 'voice over IM' part) I think we 
might have been talking about two different services under the same name. 
Likewise, the fact that in this thread already there have been at least 
three different interpretations of what a push to talk service means for 
SIP, makes me wonder whether this is a worthwhile debate to have in the 
IETF at all. I.e., let the market do the branding game. ;-)

We should come back when there is a specific SIP issue to address 
(whatever the service), IMHO.

Cheers,
Aki

-----Original Message-----
From: ext [email-masked] [mailto:[email-masked]]
Sent: 22 May, 2003 15:18
To: Niemi Aki (NMP/Helsinki)
Cc: [email-masked]; [email-masked]; [email-masked]; 
[email-masked]; [email-masked]
Subject: RE: [Sipping] Push-To-Talk with SIP

Aki, 
By 'session less' I mean not having an INVITE-OK-ACK to actually establish 
the call before you could talk. Application state would be maintained 
during one 'push-release' operation and forgotten after that (except for 
the administrative states like which was the gruop set I was talking to). 

Different algorithms have been suggested for this 'voice over IM' => some 
are also patented @ the uspto (I think someone had posted the patent no. 
in the impp archive some time ago) 

Anyway, therefore, I realize this may not be something that the ietf sip 
grp wants to take up unless there is a compelling reason 
go into into this 2 way radio service. With respect to the original Q, I 
agree that one could conceptualize that a call in session with RTP 
bursts and conferencing thrown in could look like a '2 way radio service' 
= but due to the nature of its persistance of state for a much longer 
time than currently known implementations not using SIP, the charging 
model and complexities would likely not be the same, for what ever its 
worth. 

regds 
arjun 

--
Arjun Roychowdhury @ Hughes Software Systems
11717 Exploration Lane, Germantown MD 20876
(O): 301 212 7860 

[email-masked] 
Sent by: [email-masked] 
05/22/2003 05:32 AM 
 
        To:        <[email-masked]> 
        cc:        <[email-masked]>, <[email-masked]>, 
<[email-masked]>, <[email-masked]> 
        Subject:        RE: [Sipping] Push-To-Talk with SIP

Hi Arjun,

I don't really understand what you mean by 'session less', could you 
elaborate a bit? Do you mean to say there is no application state 
maintained at the endpoints? 

And to me, the original question seemed to be whether there have been any 
drafts or discussions w.r.t. push to talk and SIP in the IETF. And the 
enswer to that would have to be no, but the conferencing work in SIPPING 
seems to be covering related issues, e.g., floor control, and media 
policy.

Regards, 
Aki

> -----Original Message-----
> From: ext Arjun Roychowdhury [mailto:[email-masked]]
> Sent: 21 May, 2003 17:15
> To: Niemi Aki (NMP/Helsinki)
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Subject: RE: [Sipping] Push-To-Talk with SIP
> 
> 
> I think to avoid confusion, it may be better to reword this 
> is a 'session 
> less two way radio service',
> with session less being the key item. I believe this was the 
> original 
> question of the poster.
> 
> Whether this particular approach makes sense to be done in SIP and 
> especially in the purview of the IETF  is another question.
> 
> regds
> arjun
> 
> --
> Arjun Roychowdhury @ Hughes Software Systems
> 11717 Exploration Lane, Germantown MD 20876
> (O): 301 212 7860 
> 
> 
> 
> 
> [email-masked]
> Sent by: [email-masked]
> 05/21/2003 08:52 AM
> 
> 
>         To:     <[email-masked]>, <[email-masked]>
>         cc:     <[email-masked]>
>         Subject:        RE: [Sipping] Push-To-Talk with SIP
> 
> 
> Hi Rohan,
> 
> I think this is one way to look at the push to talk feature, 
> but maybe not 
> exactly "mainstream". Most of the push to talk services I'm 
> aware of are 
> similar to a walkie talkie service, where a group of people are 
> participating, out of which only one at a time can send media to the 
> others. "Requesting the floor" in this case is usually done with the 
> "tangent" button.
> 
> So in my opinion, push to talk is a conference, with a 
> specific type of 
> conference and media policy associated with it. As such, I 
> don't think 
> it's the IETF's business to define those policies but 
> provide tools for 
> setting/manipulating them, which I guess the conference DT 
> is already 
> doing. 
> 
>                  -Aki
> 
>  > -----Original Message-----
>  > From: ext Rohan Mahy [mailto:[email-masked]]
>  > Sent: 20 May, 2003 23:15
>  > To: [email-masked]
>  > Cc: [email-masked]
>  > Subject: Re: [Sipping] Push-To-Talk with SIP
>  > 
>  > 
>  > 
>  > Hi,
>  > 
>  > Push to talk can be implemented by merely setting up a 
>  > session between 
>  > the speaker and the target when the UA becomes available 
> and leaving 
>  > the session open, but only sending audio media over that 
>  > session when a 
>  > button is pushed.  The session can be verified for 
> liveness by using 
>  > the session-timer, and the target suddenly reappearing after 
>  > an absence 
>  > can be detected using the registration package.  Perhaps 
>  > someone could 
>  > write a draft describing this usage?
>  > 
>  > thanks,
>  > -rohan
>  > 
>  > 
>  > On Wednesday, May 14, 2003, at 06:46 PM, ???? ??? wrote:
>  > 
>  > > Hello,
>  > > 
>  > > Nokia, Siemens and Ericsson have announced that they are 
>  > developing a 
>  > > push-to-talk application for GSM networks with GPRS and 
>  > for future 3G 
>  > > networks. They want to use SIP for signaling but I 
>  > couldn't find any 
>  > > more detailed information.
>  > > 
>  > > Does someone of you know some detail about the PTT 
>  > signaling with SIP?
>  > > Do they care about arbitration if two people want to talk 
>  > to the same 
>  > > group at the same time? Are there some drafts or 
> discussions about 
>  > > this topics?
>  > > 
>  > > regards,
>  > > thomas lee.
>  > 
>  > _______________________________________________
>  > Sipping mailing list 
> https://www1.ietf.org/mailman/listinfo/sipping
>  > This list is for NEW development of the application of SIP
>  > Use [email-masked] for questions on current sip
>  > Use [email-masked] for new developments of core SIP
>  > 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 
> 
> 
> 
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP 
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP